View Issue Details

IDProjectCategoryView StatusLast Update
0002449SymmetricDSBugpublic2016-08-09 13:12
ReporterelongAssigned Toelong 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002449: File sync sometimes not deleting files with delete_after_sync option
DescriptionThe file_trigger has an option of delete_after_sync that will delete a file after its successfully synced to a remote node. Under the right conditions, a batch can be synced and acknowledged, but not all files get deleted.

The acknowledge routine loops through all the files, but the iteration is limited to the number of insert events, so if the batch contains delete or update events, the iteration ends early.
Steps To ReproduceEnable file sync with delete_after_sync. Cause a combination of insert events with new files along with update events of existing files.
TagsNo tags attached.

Activities

elong

2015-11-19 15:07

developer  

patch-0002449.jar (24,796 bytes)

Related Changesets

SymmetricDS: 3.7 6d25e882

2015-11-19 15:14:37

admin

Details Diff
0002449: File sync sometimes not deleting files with delete_after_sync
0002449
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

SymmetricDS: 3.8 68646c27

2015-11-19 15:15:42

admin

Details Diff
0002449: File sync sometimes not deleting files with delete_after_sync
0002449
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2015-11-19 14:45 elong New Issue
2015-11-19 14:45 elong Status new => assigned
2015-11-19 14:45 elong Assigned To => elong
2015-11-19 14:48 elong Target Version 3.7.28 => 3.8.0
2015-11-19 15:07 elong File Added: patch-0002449.jar
2015-11-19 15:35 elong Status assigned => resolved
2015-11-19 15:35 elong Fixed in Version => 3.8.0
2015-11-19 15:35 elong Resolution open => fixed
2015-11-19 16:00 admin Changeset attached => SymmetricDS 3.7 6d25e882
2016-04-28 10:01 admin Changeset attached => SymmetricDS 3.8 68646c27
2016-08-09 13:12 admin Status resolved => closed